Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.contact
Class EPPContactDiscloseAddress

    java.lang.Object
      com.verisign.epp.codec.contact.EPPContactDiscloseAddress

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPContactDiscloseAddress

extends java.lang.Object
implements EPPCodecComponent

Represents a contact disclose name definition.

Version:
  $Revision: 1.3 $
Author:
  $Author: jim $
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTR_TYPE_INT` Value of the INT in contact disclose type mapping
`static java.lang.String` | `ATTR_TYPE_LOC` Value of the LOC in contact disclose type mapping

Constructor Summary
`EPPContactDiscloseAddress()` Create a new instance of EPPContactDiscloseAddress
`EPPContactDiscloseAddress(java.lang.String aType)` Create a new instance of EPPContactDiscloseAddress with the given type

Method Summary
`java.lang.Object` | `clone()` Clone `EPPContactDiscloseAddress`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPContactDisclose` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPContactDiscloseAddress` instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPContactDiscloseAddress` compare.
`java.lang.String` | `getType()` DOCUMENT ME!
`void` | `setType(java.lang.String aType)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_TYPE_LOC

    public static final java.lang.String ATTR_TYPE_LOC

  Value of the LOC in contact disclose type mapping

  See Also:
    Constant Field Values

### ATTR_TYPE_INT

    public static final java.lang.String ATTR_TYPE_INT

  Value of the INT in contact disclose type mapping

  See Also:
    Constant Field Values

Constructor Detail

### EPPContactDiscloseAddress

    public EPPContactDiscloseAddress()

  Create a new instance of EPPContactDiscloseAddress

### EPPContactDiscloseAddress

    public EPPContactDiscloseAddress(java.lang.String aType)

  Create a new instance of EPPContactDiscloseAddress with the given type

  Parameters:
    `aType` - the type value to use for this instance. Should use one of the static constants defined for this class as a value.

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPContactDiscloseAddress` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - The DOM Document to append data to
  Returns:
    The encoded DOM `Element`
  Throws:
    `EPPEncodeException` - Error encoding

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPContactDisclose` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - The root element of the report fragment of XML
  Throws:
    `EPPDecodeException`

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPContactDiscloseAddress` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPContactDiscloseAddress` instance to compare with
  Returns:
    true if equal false otherwise

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPContactDiscloseAddress`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPContactDiscloseAddress`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### getType

    public java.lang.String getType()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setType

    public void setType(java.lang.String aType)

  DOCUMENT ME!

  Parameters:
    `aType` - DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.